Subject: Re: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Anders Lindgren <[email-masked]>
Date: Sun, 10 Apr 2016 22:37:57 +0200

Hi!

I just took a quick look at this. I noticed that turning on
global-auto-revert-mode disables file notifications. Is this still needed
when your new system is in place? Personally, I would like to see it revert
to the old timer system only when running out of resources.

Apart from that, everything looks good. Emacs seems to be running fine even
when I have 400 buffers open with global auto-revert enabled.

    -- Anders

On Sun, Apr 10, 2016 at 10:21 AM, Michael Albinus <[email-masked]>
wrote:

> Michael Albinus <[email-masked]> writes:
>
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> I'm testing a patch for kqueue.c, which limits the open file
> >>> notification descriptors, as proposed by Anders. According to my tests
> >>> this is not necessary for inotify.c (contrary to what I've assumed).
> >>> Will commit the patch once the current emacs-25 commits are merged to
> >>> the master.
> >>
> >> Thanks.
> >
> > Committed to master. Plus a new test
> file-notify-test09-sufficient-ressources.
> >
> > Anders, do you want to test it, or shall I close this bug report just
> now?
>
> Ping.
>
> Best regards, Michael.
>